﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace XamGrid_MVVM_SL
{
    public class DateConverter : IValueConverter
    {

        public object Convert(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string retString = string.Empty;
            string formatString = "MM/dd/yy"; //Default date format

            //return string.Format(System.Convert.ToString(parameter), decimal.Parse(System.Convert.ToString(value)));
            if (parameter != null)  // default 
            {

                if (!string.IsNullOrWhiteSpace(parameter.ToString()))
                {
                    formatString = parameter.ToString().Trim();
                }
            }


            if (value != null && !string.IsNullOrWhiteSpace(value.ToString()))
            {
                // retString = System.String.Format(formatString, System.Convert.ChangeType(value, typeof(DateTime), null));
                DateTime dtOut;
                if (DateTime.TryParse(value.ToString(), out dtOut))
                {
                    retString = System.Convert.ToDateTime(value).ToString(formatString);
                }
                else
                {
                    retString = value.ToString();
                }
            }

            return retString;
        }


        public object ConvertBack(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            //if (value.ToString() == "__/__/__")
            //{
            //    return DateTime.MinValue;
            //}
            //else
            //{
                return value;
            //}
        }
    }


}
